Bug 539268 - Review Request: rubygem-will_paginate - Most awesome pagination solution for Rail
Summary: Review Request: rubygem-will_paginate - Most awesome pagination solution for ...
Keywords:
Status: CLOSED DUPLICATE of bug 593274
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Fojtik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 19:01 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 12:06:25 UTC
mtasaka: fedora-review?


Attachments (Terms of Use)

Description Darryl L. Pierce 2009-11-19 19:01:04 UTC
Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-will_paginate.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-will_paginate-2.3.11-1.fc12.src.rpm
Description: The will_paginate library provides a simple, yet powerful and extensible API for ActiveRecord pagination and rendering of pagination links in ActionView templates.

Comment 1 Mamoru TASAKA 2009-11-21 20:03:27 UTC
Some quick notes:

* %define -> %global
  - Now Fedora prefers to use %global than %define:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* License
  - is MIT

* Source
  - Please use http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem

* Requires/BuildRequires
  - "Requires: ruby(abi) = 1.8" is a must:
    https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines
    Also I usually suggest to add "BuildRequires: ruby(abi) = 1.8"
    for consistency.

  - Please check the needed Requires manually.
    For example (only an example), lib/will_paginate.rb contains:
-------------------------------------------------------------
     1  require 'active_support'
-------------------------------------------------------------
    This means this binary rpm should have at least
    "Requires: rubygem(activesupport)".
    ! Note: use "rubygem(activesupport)" virtual Provides style for
      Requires instead of using rpm names directly, ref:
      https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides

* Using macros
  - As %geminstdir is defined, please replace %{gemdir}/gems/%{gemname}-%{version}/
    (in %files) with this.
  - %ruby_sitelib seems to be used nowhere (in this spec file).

* Duplicate files
  - Please fix below:
-------------------------------------------------------------
    57  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/will_paginate-2.3.11/CHANGELOG.rdoc
    58  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/will_paginate-2.3.11/LICENSE
    59  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/will_paginate-2.3.11/README.rdoc
-------------------------------------------------------------
    https://fedoraproject.org/wiki/Packaging/Guidelines#Duplicate_Files
    - Note: please keep these files marked as %doc.

* Test program
  - As this rpm contains %geminstdir/test/ please add %check section and
    execute some test program (some extra BuildRequires are also needed).

Comment 2 Mamoru TASAKA 2009-12-02 14:39:14 UTC
ping?

Comment 3 Darryl L. Pierce 2009-12-02 16:51:16 UTC
Sorry, have been getting SIGLIFE'd since your post. I'll have an update in the next week or so.

Comment 4 Darryl L. Pierce 2009-12-08 15:51:26 UTC
(In reply to comment #1)
> Some quick notes:
> 
> * %define -> %global
>   - Now Fedora prefers to use %global than %define:

Done.

> * License
>   - is MIT

Done.

> * Source
>   - Please use http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem

Done.

> * Requires/BuildRequires
>   - "Requires: ruby(abi) = 1.8" is a must:
>     https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines
>     Also I usually suggest to add "BuildRequires: ruby(abi) = 1.8"
>     for consistency.
> 
>   - Please check the needed Requires manually.
>     For example (only an example), lib/will_paginate.rb contains:
> -------------------------------------------------------------
>      1  require 'active_support'
> -------------------------------------------------------------
>     This means this binary rpm should have at least
>     "Requires: rubygem(activesupport)".
>     ! Note: use "rubygem(activesupport)" virtual Provides style for
>       Requires instead of using rpm names directly, ref:
>       https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides

Done. Added a few BuildRequires and Requires for running tests.
 
> * Using macros
>   - As %geminstdir is defined, please replace
> %{gemdir}/gems/%{gemname}-%{version}/
>     (in %files) with this.

Done.

>   - %ruby_sitelib seems to be used nowhere (in this spec file).

Removed.

> * Duplicate files
>   - Please fix below:
> -------------------------------------------------------------
>     57  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/will_paginate-2.3.11/CHANGELOG.rdoc
>     58  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/will_paginate-2.3.11/LICENSE
>     59  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/will_paginate-2.3.11/README.rdoc
> -------------------------------------------------------------
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Duplicate_Files
>     - Note: please keep these files marked as %doc.

Fixed.

> * Test program
>   - As this rpm contains %geminstdir/test/ please add %check section and
>     execute some test program (some extra BuildRequires are also needed).  

Done.

Updated spec: http://mcpierce.fedorapeople.org/rpms/rubygem-will_paginate.spec
Updated SRPM: http://mcpierce.fedorapeople.org/rpms/rubygem-will_paginate-2.3.11-2.fc12.src.rpm

Comment 5 Mamoru TASAKA 2009-12-24 14:51:42 UTC
Well, it seems I completely forgot this review request...

For -2:
* BuildRequires
  - Please add some missing BuildRequires
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1890393

Comment 6 Mamoru TASAKA 2010-01-13 16:21:03 UTC
ping?

Comment 7 Darryl L. Pierce 2010-01-13 16:56:19 UTC
S(In reply to comment #6)
> ping?    

Sorry, was on holiday break starting with the 24th and then caught up in work since.

As my requirements have changed and my use of Ruby has ceased, I'm going to withdraw this package review so that someone else may submit it.

Comment 8 Mamoru TASAKA 2010-05-18 09:32:39 UTC
Michal, why did you change the assignee of this bug?
(also this bug is already closed).

Comment 10 Michal Fojtik 2010-05-18 10:04:58 UTC
(In reply to comment #8)
> Michal, why did you change the assignee of this bug?
> (also this bug is already closed).    

I wanted to fix issue with BuildRequires and take cate of this package. I could reopen this request as a new bug.

Comment 11 Michal Fojtik 2010-05-18 10:14:00 UTC
I'm sorry, proper Koji URL was:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2193667

Comment 12 Mamoru TASAKA 2010-05-18 11:00:53 UTC
If you want to import this package into Fedora, please
file a new review request and mark this bug as a duplicate
of the new one (the submitter cannot be the reviewer anyway).

Comment 13 Michal Fojtik 2010-05-18 12:06:25 UTC

*** This bug has been marked as a duplicate of bug 593274 ***


Note You need to log in before you can comment on or make changes to this bug.